
_interrupt:

;PIC Clicker LED Display Click.c,80 :: 		void interrupt() {
;PIC Clicker LED Display Click.c,82 :: 		USB_Interrupt_Proc();                   // USB servicing is done inside the interrupt
	CALL        _USB_Interrupt_Proc+0, 0
;PIC Clicker LED Display Click.c,83 :: 		}
L_end_interrupt:
L__interrupt22:
	RETFIE      1
; end of _interrupt

_clear_USB_buffers:

;PIC Clicker LED Display Click.c,85 :: 		void clear_USB_buffers()
;PIC Clicker LED Display Click.c,87 :: 		for (i=0; i<63;i++)
	CLRF        _i+0 
L_clear_USB_buffers0:
	MOVLW       63
	SUBWF       _i+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_clear_USB_buffers1
;PIC Clicker LED Display Click.c,89 :: 		readbuff[i] = 0;
	MOVLW       _readbuff+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_readbuff+0)
	MOVWF       FSR1H 
	MOVF        _i+0, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	CLRF        POSTINC1+0 
;PIC Clicker LED Display Click.c,90 :: 		writebuff[i] = 0;
	MOVLW       _writebuff+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_writebuff+0)
	MOVWF       FSR1H 
	MOVF        _i+0, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	CLRF        POSTINC1+0 
;PIC Clicker LED Display Click.c,87 :: 		for (i=0; i<63;i++)
	INCF        _i+0, 1 
;PIC Clicker LED Display Click.c,91 :: 		}
	GOTO        L_clear_USB_buffers0
L_clear_USB_buffers1:
;PIC Clicker LED Display Click.c,92 :: 		}
L_end_clear_USB_buffers:
	RETURN      0
; end of _clear_USB_buffers

_read_button1:

;PIC Clicker LED Display Click.c,94 :: 		char read_button1() {
;PIC Clicker LED Display Click.c,95 :: 		if (Button(&PORTD, 3, 2, 0)) {               // Detect logical one
	MOVLW       PORTD+0
	MOVWF       FARG_Button_port+0 
	MOVLW       hi_addr(PORTD+0)
	MOVWF       FARG_Button_port+1 
	MOVLW       3
	MOVWF       FARG_Button_pin+0 
	MOVLW       2
	MOVWF       FARG_Button_time_ms+0 
	CLRF        FARG_Button_active_state+0 
	CALL        _Button+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_read_button13
;PIC Clicker LED Display Click.c,96 :: 		return  1;                              // Update flag
	MOVLW       1
	MOVWF       R0 
	GOTO        L_end_read_button1
;PIC Clicker LED Display Click.c,97 :: 		} else return 0;
L_read_button13:
	CLRF        R0 
;PIC Clicker LED Display Click.c,98 :: 		}
L_end_read_button1:
	RETURN      0
; end of _read_button1

_read_button2:

;PIC Clicker LED Display Click.c,100 :: 		char read_button2() {
;PIC Clicker LED Display Click.c,101 :: 		if (Button(&PORTD, 2, 2, 0)) {               // Detect logical one
	MOVLW       PORTD+0
	MOVWF       FARG_Button_port+0 
	MOVLW       hi_addr(PORTD+0)
	MOVWF       FARG_Button_port+1 
	MOVLW       2
	MOVWF       FARG_Button_pin+0 
	MOVLW       2
	MOVWF       FARG_Button_time_ms+0 
	CLRF        FARG_Button_active_state+0 
	CALL        _Button+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_read_button25
;PIC Clicker LED Display Click.c,102 :: 		return  2;                              // Update flag
	MOVLW       2
	MOVWF       R0 
	GOTO        L_end_read_button2
;PIC Clicker LED Display Click.c,103 :: 		} else return 0;
L_read_button25:
	CLRF        R0 
;PIC Clicker LED Display Click.c,104 :: 		}
L_end_read_button2:
	RETURN      0
; end of _read_button2

_hc_rst_fnc:

;PIC Clicker LED Display Click.c,106 :: 		void hc_rst_fnc(void) {
;PIC Clicker LED Display Click.c,107 :: 		HC595_rst = 0;
	BCF         RB2_bit+0, BitPos(RB2_bit+0) 
;PIC Clicker LED Display Click.c,108 :: 		asm{nop};
	NOP
;PIC Clicker LED Display Click.c,109 :: 		asm{nop};
	NOP
;PIC Clicker LED Display Click.c,110 :: 		asm{nop};
	NOP
;PIC Clicker LED Display Click.c,111 :: 		asm{nop};
	NOP
;PIC Clicker LED Display Click.c,112 :: 		asm{nop};
	NOP
;PIC Clicker LED Display Click.c,113 :: 		asm{nop};
	NOP
;PIC Clicker LED Display Click.c,114 :: 		HC595_rst = 1;
	BSF         RB2_bit+0, BitPos(RB2_bit+0) 
;PIC Clicker LED Display Click.c,115 :: 		}
L_end_hc_rst_fnc:
	RETURN      0
; end of _hc_rst_fnc

_hc_cs_fnc:

;PIC Clicker LED Display Click.c,117 :: 		void hc_cs_fnc(void) {
;PIC Clicker LED Display Click.c,118 :: 		HC595_cs = 0;
	BCF         RB3_bit+0, BitPos(RB3_bit+0) 
;PIC Clicker LED Display Click.c,119 :: 		asm{nop};
	NOP
;PIC Clicker LED Display Click.c,120 :: 		asm{nop};
	NOP
;PIC Clicker LED Display Click.c,121 :: 		asm{nop};
	NOP
;PIC Clicker LED Display Click.c,122 :: 		asm{nop};
	NOP
;PIC Clicker LED Display Click.c,123 :: 		asm{nop};
	NOP
;PIC Clicker LED Display Click.c,124 :: 		asm{nop};
	NOP
;PIC Clicker LED Display Click.c,125 :: 		HC595_cs = 1;
	BSF         RB3_bit+0, BitPos(RB3_bit+0) 
;PIC Clicker LED Display Click.c,126 :: 		}
L_end_hc_cs_fnc:
	RETURN      0
; end of _hc_cs_fnc

_Write7segDigits:

;PIC Clicker LED Display Click.c,128 :: 		void Write7segDigits(unsigned char a, unsigned char b){
;PIC Clicker LED Display Click.c,129 :: 		SPI1_write(b);
	MOVF        FARG_Write7segDigits_b+0, 0 
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;PIC Clicker LED Display Click.c,130 :: 		SPI1_write(a);
	MOVF        FARG_Write7segDigits_a+0, 0 
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;PIC Clicker LED Display Click.c,131 :: 		hc_cs_fnc();
	CALL        _hc_cs_fnc+0, 0
;PIC Clicker LED Display Click.c,132 :: 		}
L_end_Write7segDigits:
	RETURN      0
; end of _Write7segDigits

_GetChar:

;PIC Clicker LED Display Click.c,134 :: 		unsigned short GetChar(char Character){
;PIC Clicker LED Display Click.c,135 :: 		if ((Character >= 0) && (Character <= 33))
	MOVLW       0
	SUBWF       FARG_GetChar_Character+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L_GetChar9
	MOVF        FARG_GetChar_Character+0, 0 
	SUBLW       33
	BTFSS       STATUS+0, 0 
	GOTO        L_GetChar9
L__GetChar20:
;PIC Clicker LED Display Click.c,136 :: 		return CharTable[Character];
	MOVLW       _CharTable+0
	ADDWF       FARG_GetChar_Character+0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_CharTable+0)
	MOVWF       TBLPTRH 
	MOVLW       0
	ADDWFC      TBLPTRH, 1 
	MOVLW       higher_addr(_CharTable+0)
	MOVWF       TBLPTRU 
	MOVLW       0
	ADDWFC      TBLPTRU, 1 
	TBLRD*+
	MOVFF       TABLAT+0, R0
	GOTO        L_end_GetChar
L_GetChar9:
;PIC Clicker LED Display Click.c,138 :: 		return 0;
	CLRF        R0 
;PIC Clicker LED Display Click.c,139 :: 		}
L_end_GetChar:
	RETURN      0
; end of _GetChar

_main:

;PIC Clicker LED Display Click.c,141 :: 		void main(){
;PIC Clicker LED Display Click.c,142 :: 		long cnt = 0;
;PIC Clicker LED Display Click.c,144 :: 		ANCON0 = 0xFF;               // Default all pins to digital
	MOVLW       255
	MOVWF       ANCON0+0 
;PIC Clicker LED Display Click.c,145 :: 		ANCON1 = 0x1F;               //
	MOVLW       31
	MOVWF       ANCON1+0 
;PIC Clicker LED Display Click.c,146 :: 		TRISD = 0;
	CLRF        TRISD+0 
;PIC Clicker LED Display Click.c,147 :: 		TRISB = 0;
	CLRF        TRISB+0 
;PIC Clicker LED Display Click.c,148 :: 		TRISA = 0;
	CLRF        TRISA+0 
;PIC Clicker LED Display Click.c,149 :: 		RCSTA1 = 1;
	MOVLW       1
	MOVWF       RCSTA1+0 
;PIC Clicker LED Display Click.c,151 :: 		HC595_cs_direction  = 0;
	BCF         TRISB3_bit+0, BitPos(TRISB3_bit+0) 
;PIC Clicker LED Display Click.c,152 :: 		HC595_rst_direction = 0;
	BCF         TRISB2_bit+0, BitPos(TRISB2_bit+0) 
;PIC Clicker LED Display Click.c,153 :: 		HC595_pwm_direction = 0;
	BCF         TRISC6_bit+0, BitPos(TRISC6_bit+0) 
;PIC Clicker LED Display Click.c,156 :: 		T1_Direction = 1;         // Set direction for buttons
	BSF         TRISD3_bit+0, BitPos(TRISD3_bit+0) 
;PIC Clicker LED Display Click.c,157 :: 		T2_Direction = 1;
	BSF         TRISD2_bit+0, BitPos(TRISD2_bit+0) 
;PIC Clicker LED Display Click.c,159 :: 		LD1_Direction = 0;        // Set direction for LEDS
	BCF         TRISA0_bit+0, BitPos(TRISA0_bit+0) 
;PIC Clicker LED Display Click.c,160 :: 		LD2_Direction = 0;
	BCF         TRISA1_bit+0, BitPos(TRISA1_bit+0) 
;PIC Clicker LED Display Click.c,161 :: 		LD1 = 0;
	BCF         LATA0_bit+0, BitPos(LATA0_bit+0) 
;PIC Clicker LED Display Click.c,162 :: 		LD2 = 0;                 // turn off leds
	BCF         LATA1_bit+0, BitPos(LATA1_bit+0) 
;PIC Clicker LED Display Click.c,165 :: 		SPI1_Init_Advanced(_SPI_MASTER_OSC_DIV64, _SPI_DATA_SAMPLE_MIDDLE, _SPI_CLK_IDLE_LOW, _SPI_LOW_2_HIGH);
	MOVLW       2
	MOVWF       FARG_SPI1_Init_Advanced_master+0 
	CLRF        FARG_SPI1_Init_Advanced_data_sample+0 
	CLRF        FARG_SPI1_Init_Advanced_clock_idle+0 
	MOVLW       1
	MOVWF       FARG_SPI1_Init_Advanced_transmit_edge+0 
	CALL        _SPI1_Init_Advanced+0, 0
;PIC Clicker LED Display Click.c,166 :: 		Delay_ms(300);
	MOVLW       19
	MOVWF       R11, 0
	MOVLW       68
	MOVWF       R12, 0
	MOVLW       68
	MOVWF       R13, 0
L_main11:
	DECFSZ      R13, 1, 1
	BRA         L_main11
	DECFSZ      R12, 1, 1
	BRA         L_main11
	DECFSZ      R11, 1, 1
	BRA         L_main11
	NOP
;PIC Clicker LED Display Click.c,167 :: 		PWM9_Init(2000);        // Initialize PWM module
	MOVLW       208
	MOVWF       FARG_PWM9_Init_PWM_Freq+0 
	MOVLW       7
	MOVWF       FARG_PWM9_Init_PWM_Freq+1 
	MOVLW       0
	MOVWF       FARG_PWM9_Init_PWM_Freq+2 
	MOVWF       FARG_PWM9_Init_PWM_Freq+3 
	CALL        _PWM9_Init+0, 0
;PIC Clicker LED Display Click.c,168 :: 		PWM9_Start();
	CALL        _PWM9_Start+0, 0
;PIC Clicker LED Display Click.c,169 :: 		Delay_ms(100);
	MOVLW       7
	MOVWF       R11, 0
	MOVLW       23
	MOVWF       R12, 0
	MOVLW       106
	MOVWF       R13, 0
L_main12:
	DECFSZ      R13, 1, 1
	BRA         L_main12
	DECFSZ      R12, 1, 1
	BRA         L_main12
	DECFSZ      R11, 1, 1
	BRA         L_main12
	NOP
;PIC Clicker LED Display Click.c,170 :: 		hc_rst_fnc(); //Reset 7Seg board
	CALL        _hc_rst_fnc+0, 0
;PIC Clicker LED Display Click.c,172 :: 		clear_USB_buffers();
	CALL        _clear_USB_buffers+0, 0
;PIC Clicker LED Display Click.c,173 :: 		HID_Enable(&readbuff,&writebuff);       // Enable HID communication
	MOVLW       _readbuff+0
	MOVWF       FARG_HID_Enable_readbuff+0 
	MOVLW       hi_addr(_readbuff+0)
	MOVWF       FARG_HID_Enable_readbuff+1 
	MOVLW       _writebuff+0
	MOVWF       FARG_HID_Enable_writebuff+0 
	MOVLW       hi_addr(_writebuff+0)
	MOVWF       FARG_HID_Enable_writebuff+1 
	CALL        _HID_Enable+0, 0
;PIC Clicker LED Display Click.c,176 :: 		while (1){
L_main13:
;PIC Clicker LED Display Click.c,178 :: 		kk = HID_Read();
	CALL        _HID_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _kk+0 
;PIC Clicker LED Display Click.c,179 :: 		if (kk != 0)
	MOVF        R0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L_main15
;PIC Clicker LED Display Click.c,182 :: 		PWM9_Set_Duty(readbuff[1]);
	MOVF        1281, 0 
	MOVWF       FARG_PWM9_Set_Duty_new_duty+0 
	CALL        _PWM9_Set_Duty+0, 0
;PIC Clicker LED Display Click.c,184 :: 		Write7segDigits(GetChar(readbuff[2]),GetChar(readbuff[3]));  //7 segment display
	MOVF        1283, 0 
	MOVWF       FARG_GetChar_Character+0 
	CALL        _GetChar+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__main+0 
	MOVF        1282, 0 
	MOVWF       FARG_GetChar_Character+0 
	CALL        _GetChar+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Write7segDigits_a+0 
	MOVF        FLOC__main+0, 0 
	MOVWF       FARG_Write7segDigits_b+0 
	CALL        _Write7segDigits+0, 0
;PIC Clicker LED Display Click.c,186 :: 		if ((readbuff[0] & 0x01 )> 0) {
	MOVLW       1
	ANDWF       1280, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	SUBLW       0
	BTFSC       STATUS+0, 0 
	GOTO        L_main16
;PIC Clicker LED Display Click.c,187 :: 		LD1 = 1;
	BSF         LATA0_bit+0, BitPos(LATA0_bit+0) 
;PIC Clicker LED Display Click.c,188 :: 		}  else LD1 = 0;
	GOTO        L_main17
L_main16:
	BCF         LATA0_bit+0, BitPos(LATA0_bit+0) 
L_main17:
;PIC Clicker LED Display Click.c,189 :: 		if ((readbuff[0] & 0x02 )> 0) {
	MOVLW       2
	ANDWF       1280, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	SUBLW       0
	BTFSC       STATUS+0, 0 
	GOTO        L_main18
;PIC Clicker LED Display Click.c,190 :: 		LD2 = 1;
	BSF         LATA1_bit+0, BitPos(LATA1_bit+0) 
;PIC Clicker LED Display Click.c,191 :: 		}  else LD2 = 0;
	GOTO        L_main19
L_main18:
	BCF         LATA1_bit+0, BitPos(LATA1_bit+0) 
L_main19:
;PIC Clicker LED Display Click.c,193 :: 		writebuff[0]=0;
	CLRF        1344 
;PIC Clicker LED Display Click.c,194 :: 		writebuff[0] = writebuff[0] | read_button1() ;
	CALL        _read_button1+0, 0
	MOVF        R0, 0 
	IORWF       1344, 1 
;PIC Clicker LED Display Click.c,195 :: 		writebuff[0] = writebuff[0] | read_button2() ;
	CALL        _read_button2+0, 0
	MOVF        R0, 0 
	IORWF       1344, 1 
;PIC Clicker LED Display Click.c,197 :: 		HID_Write(&writebuff,64);
	MOVLW       _writebuff+0
	MOVWF       FARG_HID_Write_writebuff+0 
	MOVLW       hi_addr(_writebuff+0)
	MOVWF       FARG_HID_Write_writebuff+1 
	MOVLW       64
	MOVWF       FARG_HID_Write_len+0 
	CALL        _HID_Write+0, 0
;PIC Clicker LED Display Click.c,198 :: 		}
L_main15:
;PIC Clicker LED Display Click.c,199 :: 		}
	GOTO        L_main13
;PIC Clicker LED Display Click.c,200 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
